Skip to main content
GET
/
reviews
/
product
/
{productId}
Get product reviews
curl --request GET \
  --url https://store.salesive.com/api/v1/reviews/product/{productId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-shop-id: <api-key>'

Request

GET /reviews/product/68e5bb463a1fc56a8ac150bf?page=1&limit=10
x-shop-id: {{shopId}}

Headers

HeaderTypeDescription
x-shop-idstringIdentify the shop.

Path parameters

ParameterTypeRequiredDescription
productIdstringYesProduct identifier.

Query parameters

ParameterTypeDescription
pageintegerPage number (default: 1).
limitintegerReviews per page (default: 10).

Successful response

{
    "status": 200,
    "success": true,
    "message": "Reviews retrieved successfully",
    "data": {
        "reviews": [
            {
                "_id": "6a27d8d4289b87893fcbdeca",
                "rating": 5,
                "title": "Great Product",
                "comment": "I loved this product, it was amazing!",
                "shop": "68b8f52575da81b332af29f1",
                "user": {
                    "_id": "69360693a7a8f7dc8ae32d6d",
                    "name": "Jane Smith",
                    "avatar": "https://cdn.salesive.com/avatars/jane.jpg"
                },
                "product": "68bc52f0e15404b8e40a7c52",
                "order": "6938414ad9485f4d96134f8c",
                "images": [],
                "createdAt": "2026-06-09T09:11:48.272Z",
                "updatedAt": "2026-06-09T09:11:48.272Z",
                "__v": 0
            }
        ],
        "total": 1,
        "page": 1,
        "totalPages": 1
    }
}

Empty response

{
    "status": 200,
    "success": true,
    "message": "Reviews retrieved successfully",
    "data": {
        "reviews": [],
        "total": 0,
        "page": 1,
        "totalPages": 0
    }
}

Authorizations

Authorization
string
header
required

JWT issued by the Salesive Store API for authenticated shoppers.

x-shop-id
string
header
required

Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.

Headers

x-shop-id
string

Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.

Path Parameters

productId
string
required

Query Parameters

page
integer
default:1
limit
integer
default:10

Response

200

Product reviews retrieved